program neighbor
implicit none 
integer :: x[0:*]
integer :: myrank, left, right, numprocs
myrank   = THIS_IMAGE() - 1
numprocs = NUM_IMAGES()
if (myrank == 0) print *, 'Number of processes =', numprocs
left  = mod(myrank-1+numprocs, numprocs)
right = mod(myrank+1, numprocs)
x = 1000 + myrank;
SYNC ALL 
write (*,*) 'myrank=',myrank, &
          & ' x[',left,  ']=', x[left],   &
          & ' x[',myrank,']=', x[myrank], &
          & ' x[',right, ']=', x[right]
end program neighbor


